aboutsummaryrefslogtreecommitdiff
path: root/usr.bin/locate
diff options
context:
space:
mode:
authorWolfram Schneider <wosch@FreeBSD.org>2022-01-22 09:57:09 +0000
committerWolfram Schneider <wosch@FreeBSD.org>2022-01-24 18:27:34 +0000
commit41c539bdd10bac8717159f33ee4ce810399520be (patch)
treed73025d6314b32ea5f2bab7ad3b2e37d47ca1049 /usr.bin/locate
parentb943d315947b589c91f2b32d8e703d2567e2fa8e (diff)
Diffstat (limited to 'usr.bin/locate')
-rw-r--r--usr.bin/locate/locate/concatdb.sh6
1 files changed, 5 insertions, 1 deletions
diff --git a/usr.bin/locate/locate/concatdb.sh b/usr.bin/locate/locate/concatdb.sh
index ead474362c8a..28eb2d921c16 100644
--- a/usr.bin/locate/locate/concatdb.sh
+++ b/usr.bin/locate/locate/concatdb.sh
@@ -2,7 +2,7 @@
#
# SPDX-License-Identifier: BSD-2-Clause-FreeBSD
#
-# Copyright (c) September 1995 Wolfram Schneider <wosch@FreeBSD.org>. Berlin.
+# Copyright (c) September 1995-2022 Wolfram Schneider <wosch@FreeBSD.org>
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
@@ -34,6 +34,10 @@
#
# $FreeBSD$
+# stop on first error
+set -e
+set -o pipefail
+
# The directory containing locate subprograms
: ${LIBEXECDIR:=/usr/libexec}; export LIBEXECDIR